//
//   WARNING: Do not edit this file directly. It is generated from Rake.
//   If you need to edit this file, edit the template called:
//
// 	__crossmark.js
//
// 	And then run the appropriate Rake task
// 	to generate this file.
//

// CrossMark Dialog Box v1.4

// Create crossmark object
var crossmark = {

	sOpenSelector: '#open-crossmark',
	sDOI: '',
	sDomain: '',
	sURIScheme: '',
	sCrossMarkURL: '',
  //sStylesURL: '',
	sStylesURL: 'http://crossmark.crossref.org/stylesheets/v1.4/crossmark_widget.css',
	sTooltipID: 'crossmark-tooltip-130',
	sTooltipSelector: '#crossmark-tooltip-130',
	sTooltipCopy: 'Click to get updates and verify authenticity.',

	initialize: function() {
		this.sDOI = this.detectDOI();
		this.sDomain = window.location.hostname;
		this.sURIScheme = window.location.protocol;

		this.sCrossMarkURL = 'crossmark.crossref.org' + '/dialog/?doi=' + this.sDOI + '&domain=' + this.sDomain + '&uri_scheme=' + this.sURIScheme + '&cm_version=' + this.scriptVersion();
    //this.sStylesURL = 'http://' + 'crossmark.crossref.org' + '/stylesheets/' + this.versionDir() + 'crossmark_widget.css';

	},
  
	addStylesheet: function() {
		$(this.sOpenSelector).parent().eq(0).prepend("<link media='screen' rel='stylesheet' type='text/css' href='" + this.sStylesURL + "'/>");
	},

	activateTooltip: function() {
		var that = this;
		$('body').append('<div id="' + this.sTooltipID + '" class="crossmark-tooltip" style="display: none;"><div class="cmtttop"></div><div class="cmttmid"><p>' + this.sTooltipCopy + '</p></div><div class="cmttbot"></div></div>');
		var $icon = $('#crossmark-icon');
		$icon.attr({'title': '', 'alt': ''}).show();
		$icon.mouseover(function(){
			var o = $icon.offset();
			var x = o.left + $icon.width()/2 - $('#crossmark-icon').width()/2;
			var y = o.top - $(that.sTooltipSelector).height() + 10;
			$(that.sTooltipSelector).css({ 'left' : x, 'top' : y }).show();
		});
		$icon.mouseout(function(){
			$(that.sTooltipSelector).hide();
		});
	},

	scriptVersion: function() {
		//var script = $('script[src$="crossmark.js"]')[0] || $('script[src$="crossmark.min.js"]')[0];
		//var scriptName = script.src
		//var parts = scriptName.split("/");
		//var version = parts[parts.length - 2] == 'javascripts' ? 'v1.2' : parts[parts.length -2]
		var version = "v1.4";

		return version;

	},

	versionDir: function() {
		var version = this.scriptVersion();
		var dir = version == 'v1.2' ? '' : version + '/';
		return dir;

	},
  

	activateDialog: function() {
		var that = this;
		$(this.sOpenSelector).click(function(){
			$('#crossmark-dialog-frame').attr('src', 'http://' +  that.sCrossMarkURL);
			$('#crossmark-dialog').dialog("open");
			$(that.sTooltipSelector).hide();
			return false;
		});
	},

	detectDOI: function() {
		this.sDOI = '';
		var dc_id = $('meta').filter(function() {
			return (/dc\.identifier/i).test( $(this).attr('name'));
		}).attr("content")
		if (dc_id) {
			dc_id = dc_id.replace(/^info:doi\//, ''); // Nature style
			dc_id = dc_id.replace(/^doi:/, ''); // IngentaConnect style
		}
		return dc_id;
	}
};

//var $ = jQuery.noConflict(); // assign the main jQuery object to $

jQuery(function($) {

	// Define CrossMark Dialog
	$('#crossmark-dialog').dialog({
		zIndex: 3999,
		autoOpen: false,
		// Set to true for PDF case
		modal: true,
		resizable: false,
		draggable: false,
		open: function() {
      $('.ui-widget-overlay').addClass('ui-widget-overlay--override');
			$(".ui-widget-overlay").click(function() {
				$('#crossmark-dialog').dialog("close");
			});
		},
		beforeClose: function() {
			$(".ui-widget-overlay").unbind();
		},
		height: 550,
		width: 550,
		dialogClass: "crossmark-ui-dialog"
	});

	// Initialize Crossmark Object
	crossmark.initialize();
	crossmark.addStylesheet();
	crossmark.activateTooltip();
	//crossmark.activateDialog();

  //hack for mobile behaviour, open new window rather than popup
  if($(window).width() < 600 === true) {
      $(crossmark.sOpenSelector).click(function() {
        window.open("http://"+crossmark.sCrossMarkURL);
        //$('.crossmark-tooltip').hide();
        $(crossmark.sTooltipSelector).hide();
      });
  } else {
    crossmark.activateDialog();
  }
});
